OpenJPEG: opj_tcd_precinct Struct Reference

OpenJPEG 2.5.3

Data Fields
opj_tcd_precinct Struct Reference

Precinct structure. More...

`#include <tcd.h>`

## Data Fields
OPJ_INT32 | x0
OPJ_INT32 | y0
OPJ_INT32 | x1
OPJ_INT32 | y1
OPJ_UINT32 | cw
OPJ_UINT32 | ch
union { |
opj_tcd_cblk_enc_t * enc |
opj_tcd_cblk_dec_t * dec |
void * blocks |
} | cblks |
OPJ_UINT32 | block_size
opj_tgt_tree_t * | incltree
opj_tgt_tree_t * | imsbtree

## Detailed Description

Precinct structure.

## Field Documentation

## ◆ block_size

OPJ_UINT32 opj_tcd_precinct::block_size

Referenced by opj_tcd_code_block_dec_deallocate(), opj_tcd_code_block_enc_deallocate(), and opj_tcd_init_tile().

## ◆ blocks

void* opj_tcd_precinct::blocks

Referenced by opj_tcd_init_tile().

## ◆ [union]

union { ... } opj_tcd_precinct::cblks

Referenced by opj_dwt_init_sparse_array(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_code_block_dec_deallocate(), opj_tcd_code_block_enc_deallocate(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

## ◆ ch

OPJ_UINT32 opj_tcd_precinct::ch

Referenced by opj_dwt_init_sparse_array(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

## ◆ cw

OPJ_UINT32 opj_tcd_precinct::cw

Referenced by opj_dwt_init_sparse_array(), opj_t1_decode_cblks(), opj_t1_encode_cblks(), opj_t2_encode_packet(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

## ◆ dec

opj_tcd_cblk_dec_t* opj_tcd_precinct::dec

Referenced by opj_dwt_init_sparse_array(), opj_t1_decode_cblks(), opj_t2_read_packet_data(), opj_t2_read_packet_header(), opj_t2_skip_packet_data(), opj_tcd_code_block_dec_deallocate(), and opj_tcd_init_tile().

## ◆ enc

opj_tcd_cblk_enc_t* opj_tcd_precinct::enc

Referenced by opj_t1_encode_cblks(), opj_t2_encode_packet(), opj_tcd_code_block_enc_deallocate(), opj_tcd_init_tile(), opj_tcd_makelayer(), opj_tcd_makelayer_fixed(), and opj_tcd_rateallocate().

## ◆ imsbtree

opj_tgt_tree_t* opj_tcd_precinct::imsbtree

Referenced by opj_t2_encode_packet(), opj_t2_read_packet_header(), opj_tcd_free_tile(), and opj_tcd_init_tile().

## ◆ incltree

opj_tgt_tree_t* opj_tcd_precinct::incltree

Referenced by opj_t2_encode_packet(), opj_t2_read_packet_header(), opj_tcd_free_tile(), and opj_tcd_init_tile().

## ◆ x0

OPJ_INT32 opj_tcd_precinct::x0

Referenced by opj_t1_decode_cblks(), opj_t2_decode_packets(), and opj_tcd_init_tile().

## ◆ x1

OPJ_INT32 opj_tcd_precinct::x1

Referenced by opj_t1_decode_cblks(), opj_t2_decode_packets(), and opj_tcd_init_tile().

## ◆ y0

OPJ_INT32 opj_tcd_precinct::y0

Referenced by opj_t1_decode_cblks(), opj_t2_decode_packets(), and opj_tcd_init_tile().

## ◆ y1

OPJ_INT32 opj_tcd_precinct::y1

Referenced by opj_t1_decode_cblks(), opj_t2_decode_packets(), and opj_tcd_init_tile().

The documentation for this struct was generated from the following file:

- tcd.h